"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var generateResponsiveClasses = function (prefix, value) {
    var result = {};
    if (typeof value === 'string') {
        // Handle a single string value without breakpoints
        result["".concat(prefix, "-").concat(value)] = true;
    }
    else if (typeof value === 'object' && value !== null) {
        // Define an array of valid breakpoints
        var breakpoints = ['xs', 'sm', 'md', 'lg', 'xl', 'xxl'];
        for (var _i = 0, breakpoints_1 = breakpoints; _i < breakpoints_1.length; _i++) {
            var breakpoint = breakpoints_1[_i];
            var val = value[breakpoint];
            if (val) {
                // Exclude 'xs' from the breakpoint class
                if (breakpoint === 'xs') {
                    result["".concat(prefix, "-").concat(val)] = true;
                }
                else {
                    result["".concat(prefix, "-").concat(breakpoint, "-").concat(val)] = true;
                }
            }
        }
    }
    return result;
};
exports.default = generateResponsiveClasses;
