"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var generateResponsiveClasses_1 = __importDefault(require("./generateResponsiveClasses"));
describe('generateResponsiveClasses', function () {
    it('should generate class names with breakpoints, excluding "xs"', function () {
        expect((0, generateResponsiveClasses_1.default)('d', { xs: 'none', sm: 'block' })).toEqual({
            'd-none': true,
            'd-sm-block': true
        });
    });
    it('should generate class names with a single value', function () {
        expect((0, generateResponsiveClasses_1.default)('float', 'end')).toEqual({ 'float-end': true });
    });
    it('should return an empty object for undefined values', function () {
        expect((0, generateResponsiveClasses_1.default)('float', undefined)).toEqual({});
    });
});
