import generateResponsiveClasses from './generateResponsiveClasses';
describe('generateResponsiveClasses', function () {
    it('should generate class names with breakpoints, excluding "xs"', function () {
        expect(generateResponsiveClasses('d', { xs: 'none', sm: 'block' })).toEqual({
            'd-none': true,
            'd-sm-block': true
        });
    });
    it('should generate class names with a single value', function () {
        expect(generateResponsiveClasses('float', 'end')).toEqual({ 'float-end': true });
    });
    it('should return an empty object for undefined values', function () {
        expect(generateResponsiveClasses('float', undefined)).toEqual({});
    });
});
