import React from 'react';
import type { TBoxAlign, TBoxAlignItems, TBoxAlignSelf, TBoxBorderWidth, TBoxDisplay, TBoxFlexDirection, TBoxFontSize, TBoxJustifyContent, TBoxOpacity, TBoxOverflow, TBoxPointerEvents, TBoxRadius, TBoxSizing, TBoxSpacing, TBoxTextTransform, TBoxUserSelect, TResponsiveValue } from '../../types';
export interface BoxProps extends React.HTMLAttributes<HTMLElement> {
    as?: keyof React.ReactHTML;
    align?: TBoxAlign;
    alignItems?: TResponsiveValue<TBoxAlignItems>;
    alignSelf?: TResponsiveValue<TBoxAlignSelf>;
    bg?: string;
    border?: boolean;
    borderTop?: boolean | 0;
    borderEnd?: boolean | 0;
    borderBottom?: boolean | 0;
    borderStart?: boolean | 0;
    borderColor?: string;
    borderWidth?: TBoxBorderWidth;
    color?: string;
    display?: TResponsiveValue<TBoxDisplay>;
    flexDirection?: TResponsiveValue<TBoxFlexDirection>;
    fs?: TBoxFontSize;
    gradient?: boolean;
    height?: TBoxSizing;
    invisible?: boolean;
    justifyContent?: TResponsiveValue<TBoxJustifyContent>;
    m?: TResponsiveValue<TBoxSpacing>;
    mt?: TResponsiveValue<TBoxSpacing>;
    mb?: TResponsiveValue<TBoxSpacing>;
    ms?: TResponsiveValue<TBoxSpacing>;
    me?: TResponsiveValue<TBoxSpacing>;
    mx?: TResponsiveValue<TBoxSpacing>;
    my?: TResponsiveValue<TBoxSpacing>;
    opacity?: TBoxOpacity;
    overflow?: TBoxOverflow;
    p?: TResponsiveValue<TBoxSpacing>;
    pt?: TResponsiveValue<TBoxSpacing>;
    pb?: TResponsiveValue<TBoxSpacing>;
    ps?: TResponsiveValue<TBoxSpacing>;
    pe?: TResponsiveValue<TBoxSpacing>;
    px?: TResponsiveValue<TBoxSpacing>;
    py?: TResponsiveValue<TBoxSpacing>;
    pointerEvents?: TBoxPointerEvents;
    radius?: TBoxRadius;
    textWrap?: boolean;
    textNoWrap?: boolean;
    textTransform?: TBoxTextTransform;
    userSelect?: TBoxUserSelect;
    visible?: boolean;
    width?: TBoxSizing;
    wordBreak?: boolean;
}
declare const Box: React.FC<BoxProps>;
export default Box;
